#2011, Eulalie Sauthier, Master Thesis


# Plot les graphes qui comparent les précipitations et les glaciers 
prec_lp<-read.csv("Glaciers/résumé/4st_davos.csv") #importe les données des précipitations
prec_lp<-prec_lp[3]
glaciers_gr <-read.csv("Glaciers/résumé/glaciers_gr.csv") # import les données de glaciers
glaciers_gr<-glaciers_gr[2:5]
	
star_gl<-1894 #années de départ
out<-monthtoyear(prec_lp) #transforme les données mensuelles en annuelles
prec_lp_ts<-ts(out,start=(1894),end=(2010),freq=1) # série temporelle
color=rainbow(17) #créér la palette
	
pdf("../Image/Glaciers_Davos_part_1.pdf") #créer image 1
par(mfrow = c(3, 1))
plot(prec_lp_ts,type="h",col="black",ylab=colnames(prec_lp)[1]) 
box(which = "figure")
plot(ts(glaciers_gr[ ,1], start=c(star_gl,1)),col=color[1],type="h",ylab=colnames(glaciers_gr)[1] )
box(which = "figure")
plot(ts(glaciers_gr[ ,2], start=c(star_gl,1)),col=color[2],type="h",ylab=colnames(glaciers_gr)[2])
box(which = "figure")
dev.off()

pdf("../Image/Glaciers_Davos_part_2.pdf")#créer image 3
par(mfrow = c(3, 1))
plot(prec_lp_ts,type="h",col="black",,ylab=colnames(prec_lp)[1]) 
box(which = "figure")
plot(ts(glaciers_gr[ ,3], start=c(star_gl,1)),col=color[3],type="h",ylab=colnames(glaciers_gr)[3])
box(which = "figure")
plot(ts(glaciers_gr[ ,4], start=c(star_gl,1)),col=color[5],type="h",ylab=colnames(glaciers_gr)[4])
box(which = "figure")
dev.off()

#Génère les scatter entre eux
for(j in 1:length(colnames(glaciers_gr))){
glaciers_gr_ts<-ts(glaciers_gr[ ,j], start=c(star_gl,1),freq=1)
scatter_p_vs_r(prec_lp_ts, glaciers_gr_ts, glaciers_gr, prec_lp,j,50,150,-150,100)
scatter_p_vs_gl_decal(prec_lp_ts, glaciers_gr_ts, glaciers_gr, prec_lp,j,50,150,-150,100)
}